<?php

namespace App\Services;

use App\Repositories\PersonTypeRepository;

class PersonTypeService
{
    protected PersonTypeRepository $personTypeRepository;

    public function __construct() {
        $this->personTypeRepository = new PersonTypeRepository();
    }

    public function findByDescription($description)
    {
        return $this->personTypeRepository->findByDescription($description);
    }

    public function getByUserId($userId)
    {
        return $this->personTypeRepository->getByUserId($userId);
    }
}